# TAngle Class Reference
[Data Structures]

Inheritance diagram for TAngle:

List of all members.

## Public Types
enum | EUnits { kUnits_Degrees, kUnits_Radians }
## Public Member Functions
| operator real (void) const
| TAngle (void)
| TAngle (const real angleValue)
| TAngle (const real angleValue, const EUnits angleType)
void | SetValue (const real angleValue, const EUnits angleType)
real | InRadians (void) const
real | InDegrees (void) const
real | InFormat (const EUnits units) const
real | GetCosine (void) const
real | GetSine (void) const
real | GetTangent (void) const
TAngle & | operator+= (const TAngle &ang)
TAngle & | operator-= (const TAngle &ang)
TAngle & | operator*= (const real scalar)
TAngle & | operator/= (const real scalar)
## Static Public Member Functions
static TAngle | ArcCosine (const real value)
static TAngle | ArcSine (const real value)
static TAngle | ArcTangent (const real value)
static TAngle | ArcTangentYX (const real valueY, const real valueX)
## Static Public Attributes
static const real | kPiRadians
static const real | kRadiansToDegreesMultiplier
static const real | kDegreesToRadiansMultiplier
static const TAngle | kZero
static const TAngle | k45Degrees
static const TAngle | k90Degrees
static const TAngle | k180Degrees
static const TAngle | k270Degrees
static const TAngle | k360Degrees
## Private Attributes
real | fValue

## Detailed Description

TAngle is a lightweight object meant to standardize the use of angles. The value is stored internally in radians for performance.

## Member Enumeration Documentation

enum TAngle::EUnits

Enumerator:

  kUnits_Degrees |
  kUnits_Radians |

## Constructor & Destructor Documentation

TAngle::TAngle | ( | void |  | ) | `[inline]`

TAngle::TAngle | ( | const real | angleValue | ) | `[inline]`

TAngle::TAngle | ( | const real | angleValue,
|  | const EUnits | angleType |
| ) |  |  | `[inline]`

## Member Function Documentation

static TAngle TAngle::ArcCosine | ( | const real | value | ) | `[static]`

static TAngle TAngle::ArcSine | ( | const real | value | ) | `[static]`

static TAngle TAngle::ArcTangent | ( | const real | value | ) | `[static]`

static TAngle TAngle::ArcTangentYX | ( | const real | valueY,
|  | const real | valueX |
| ) |  |  | `[static]`

real TAngle::GetCosine | ( | void |  | ) | const`[inline]`

real TAngle::GetSine | ( | void |  | ) | const`[inline]`

real TAngle::GetTangent | ( | void |  | ) | const`[inline]`

real TAngle::InDegrees | ( | void |  | ) | const`[inline]`

real TAngle::InFormat | ( | const EUnits | units | ) | const`[inline]`

real TAngle::InRadians | ( | void |  | ) | const`[inline]`

TAngle::operator real | ( | void |  | ) | const`[inline]`

TAngle & TAngle::operator*= | ( | const real | scalar | ) | `[inline]`

TAngle & TAngle::operator+= | ( | const TAngle & | ang | ) | `[inline]`

TAngle & TAngle::operator-= | ( | const TAngle & | ang | ) | `[inline]`

TAngle & TAngle::operator/= | ( | const real | scalar | ) | `[inline]`

void TAngle::SetValue | ( | const real | angleValue,
|  | const EUnits | angleType |
| ) |  |  | `[inline]`

## Member Data Documentation

real TAngle::fValue`[private]`

const TAngle TAngle::k180Degrees`[static]`

const TAngle TAngle::k270Degrees`[static]`

const TAngle TAngle::k360Degrees`[static]`

const TAngle TAngle::k45Degrees`[static]`

const TAngle TAngle::k90Degrees`[static]`

const real TAngle::kDegreesToRadiansMultiplier`[static]`

const real TAngle::kPiRadians`[static]`

const real TAngle::kRadiansToDegreesMultiplier`[static]`

const TAngle TAngle::kZero`[static]`

The documentation for this class was generated from the following file:

- Angle.h